function init(hero) {
    hero.setName("Scarlet Witch");
    hero.setTier(3);
    
    hero.setChestplate("Trenchcoat");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addAbilities("fiskheroes:steel_transformation", "fiskheroes:propelled_flight", "fiskheroes:electrokinesis");
    hero.addAttribute("ATTACK_DAMAGE", 0.4, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.0, 0);
	hero.addAttribute("FALL_RESISTANCE", 0.3, 1);
	
	hero.addKeyBind("STEEL_TRANSFORM", "Energize", 1);
	
	hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
	hero.setModifierEnabled(isModifierEnabled);
}

function steelProfile(profile) {
	profile.addAttribute("ATTACK_DAMAGE", 1.0, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : null;
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:steeled") || modifier != "fiskheroes:propelled_flight";
}